Software update required to connect iOS device(s)

Tech198

macrumors G5
Original poster
Mar 21, 2011
14,325
1,741
Australia, Perth
What exactly is the intention of this message can anyone tell me? (Attached)

https://support.apple.com/en-au/HT208831

Its ubiquitous.. and relation to what i have Google's every one seems to think Mac or iOS is not compatible (which is untrue)

I even see this when i connect my iPhone 6s Plus running iOS 13.3

I think this was introduced after El Catitan (10.11). and iTunes does not need to be open... You'll see this when it's connected until you update.
 

Attachments

bogdanw

macrumors 6502a
Mar 10, 2009
546
298
It will install an update named Mobile Device, required to connect newer iOS devices or iOS devices with a newer iOS version than your system currently supports. Depending on your macOS version, these files might be updated:
MobileDevice.jpg
 
  • Like
Reactions: sgtaylor5

Tech198

macrumors G5
Original poster
Mar 21, 2011
14,325
1,741
Australia, Perth
ah ok... must be only needed using iTunes then, because Image Capture (/Applications) works just fine without installing it.. I don't really sync much with iTunes anyway, so i'll leave it otherwise.

Even charging is ok without the update installed, but was just wodering as Apple doesn't go much into detail about files and why you need it.. Clearly, its just related to syncing with iTunes.
 

bogdanw

macrumors 6502a
Mar 10, 2009
546
298
In High Sierra, the update is delivered through the App Store and this is what it says:
"iTunes Device Support update - Restart Required
This update ensures proper updating and restoring for iOS devices using iTunes for Mac."
iTunes Device Support.jpg